Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Unknown

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22327

Description

I have an issue in load layer definition file .

When I create layer definition file as a new file, I can load it correctly.

But, When I create it as a overwrite file, I can't load it.

So, I have compare between new file and overwrite file. and I found difference in these files.

In new file, <datasource> was written by Absolute filePath.

In overwrite file, <datasource> was written by related filePath.

thank you.

Related issues:

Related to QGIS Application - Bug report # 13925: Qlr-file saves datasource p... Closed 2015-12-01

Associated revisions

Revision 9f7c3294 - 2016-02-25 10:51 PM - Jürgen Fischer

layer definition: always use relative paths regardless whether or not the file already exists (fixes #14340)

History

#1 - 2016-02-25 01:53 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"9f7c32944cf468f0da24f444c514fa90cf233841".

#2 - 2016-02-25 01:54 PM - Jürgen Fischer

- Status changed from Closed to In Progress

The file references in the qlr are relative to the position of the qlr itself - with the change it doesn't matter anymore if the qlr already existed.

#3 - 2016-02-25 04:25 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
#4 - 2016-02-28 11:56 PM - Norihito Takahashi

Thank you so much !

#5 - 2016-03-03 12:15 AM - Norihito Takahashi

- File error.png added

- Assignee set to Jürgen Fischer

- Target version set to Version 2.14

I use QGIS in japanese. and, I have occurred an issue at qlr again...

I have created qlr in version Essen. but, it couldn't loaded correctly.

When I used in version Pisa, I could loaded qrl correctly.

So, I have compared qlr file created by Essen and created by Pisa.

I found difference that qlr file created by Essen was encoded "shit-jis" and japanese characters were garbled.

qlr file created by Pisa was encoded "utf-8" and japanese characters were correctly.

(I understood that file references are relative.)

#6 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files
